package com.qmth.ops.api;

import com.qmth.boot.core.retrofit.annotatioin.RetrofitScan;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@ComponentScan("com.qmth.ops")
@MapperScan("com.qmth.ops.biz")
@RetrofitScan("com.qmth.ops.biz.wxapp")
public class OpsApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(OpsApiApplication.class, args);
    }
}
