package com.qmth.ops.api.binder;

import com.qmth.ops.biz.domain.FileFormat;
import org.springframework.format.Formatter;

import java.text.ParseException;
import java.util.Locale;

public class FileFormatBinder implements Formatter<FileFormat> {

    @Override
    public FileFormat parse(String s, Locale locale) throws ParseException {
        return FileFormat.findByExtension(s);
    }

    @Override
    public String print(FileFormat format, Locale locale) {
        return format.getExtension();
    }
}
