package com.qmth.ops.api.vo;

import com.qmth.boot.core.solar.model.AppControl;
import com.qmth.ops.biz.domain.Deploy;
import com.qmth.ops.biz.domain.DeployMode;
import com.qmth.ops.biz.service.AppService;

import java.util.Set;

public class DeployVO {

    private Long id;

    private AppVO app;

    private String name;

    private DeployMode mode;

    private AppControl control;

    private Set<String> ipAllow;

    private Long createTime;

    private Long updateTime;

    public DeployVO(Deploy deploy, AppService appService) {
        this.id = deploy.getId();
        this.app = new AppVO(appService.getById(deploy.getAppId()));
        this.name = deploy.getName();
        this.mode = deploy.getMode();
        this.control = deploy.getControl();
        this.ipAllow = deploy.getIpAllow();
        this.createTime = deploy.getCreateTime();
        this.updateTime = deploy.getUpdateTime();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public AppVO getApp() {
        return app;
    }

    public void setApp(AppVO app) {
        this.app = app;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DeployMode getMode() {
        return mode;
    }

    public void setMode(DeployMode mode) {
        this.mode = mode;
    }

    public AppControl getControl() {
        return control;
    }

    public void setControl(AppControl control) {
        this.control = control;
    }

    public Set<String> getIpAllow() {
        return ipAllow;
    }

    public void setIpAllow(Set<String> ipAllow) {
        this.ipAllow = ipAllow;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
