package com.qmth.ops.api.vo;

import com.qmth.ops.biz.domain.OcrSupplier;

public class OcrSupplierVO {

    private Long id;

    private String name;

    private Integer qps;

    private Boolean enable;

    private Long createTime;

    private Long updateTime;

    public OcrSupplierVO(OcrSupplier supplier) {
        this.id = supplier.getId();
        this.name = supplier.getName();
        this.qps = supplier.getQps();
        this.enable = supplier.getEnable();
        this.createTime = supplier.getCreateTime();
        this.updateTime = supplier.getUpdateTime();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getQps() {
        return qps;
    }

    public void setQps(Integer qps) {
        this.qps = qps;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
