package com.qmth.ops.api.vo;

import com.qmth.boot.core.solar.enums.OrgSubType;
import com.qmth.boot.core.solar.enums.OrgType;
import com.qmth.ops.biz.domain.Org;

import java.util.Set;

public class OrgVO {

    private Long id;

    private String code;

    private String name;

    private OrgType type;

    private Set<OrgSubType> subTypes;

    private Boolean enable;

    private String logo;

    private Long createTime;

    private Long updateTime;

    public OrgVO(Org org) {
        this.id = org.getId();
        this.code = org.getCode();
        this.name = org.getName();
        this.type = org.getType();
        this.subTypes = org.getSubTypes();
        this.enable = org.isEnable();
        this.logo = org.getLogo();
        this.createTime = org.getCreateTime();
        this.updateTime = org.getUpdateTime();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public OrgType getType() {
        return type;
    }

    public void setType(OrgType type) {
        this.type = type;
    }

    public Set<OrgSubType> getSubTypes() {
        return subTypes;
    }

    public void setSubTypes(Set<OrgSubType> subTypes) {
        this.subTypes = subTypes;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }
}
