package com.qmth.ops.api.vo;

import com.qmth.ops.biz.domain.Role;
import com.qmth.ops.biz.domain.User;

public class UserVO {

    private Long id;

    private String loginName;

    private String name;

    private Role[] role;

    public UserVO(User user) {
        this.id = user.getId();
        this.loginName = user.getLoginName();
        this.name = user.getName();
        this.role = user.getRole();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Role[] getRole() {
        return role;
    }

    public void setRole(Role[] role) {
        this.role = role;
    }
}
