package com.qmth.ops.biz.ai.client;

import com.qmth.boot.core.ai.model.AiConstants;
import com.qmth.ops.biz.domain.OcrSupplier;

public class DocApiConfig {

    private String url;

    private String key;

    private String secret;

    private String supplier;

    private int qps;

    public DocApiConfig() {

    }

    public DocApiConfig(OcrSupplier supplier) {
        this.url = supplier.getUrl();
        this.key = supplier.getKey();
        this.secret = supplier.getSecret();
        this.qps = supplier.getQps();
        this.supplier = supplier.getId() + AiConstants.PARAM_SPLIT + supplier.getClientClass();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public int getQps() {
        return qps;
    }

    public void setQps(int qps) {
        this.qps = qps;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

}
