package com.qmth.ops.biz.ai.client;

import com.qmth.ops.biz.domain.OcrSupplier;

public class OcrApiConfig {

    private String url;

    private String key;

    private String secret;

    private int qps;

    public OcrApiConfig() {

    }

    public OcrApiConfig(OcrSupplier supplier) {
        this.url = supplier.getUrl();
        this.key = supplier.getKey();
        this.secret = supplier.getSecret();
        this.qps = supplier.getQps();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public int getQps() {
        return qps;
    }

    public void setQps(int qps) {
        this.qps = qps;
    }
}
