package com.qmth.ops.biz.ai.client.aliyun.llm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.qmth.boot.core.ai.model.llm.ChatResult;

@JsonIgnoreProperties(ignoreUnknown = true)
public class AliyunChatResult {

    @JsonProperty("request_id")
    private String requestId;

    private AliyunChatOutput output;

    private AliyunUsage usage;

    public ChatResult buildResult() {
        ChatResult result = new ChatResult();
        result.setChoices(output.getChoices());
        return result;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public AliyunChatOutput getOutput() {
        return output;
    }

    public void setOutput(AliyunChatOutput output) {
        this.output = output;
    }

    public AliyunUsage getUsage() {
        return usage;
    }

    public void setUsage(AliyunUsage usage) {
        this.usage = usage;
    }
}
