package com.qmth.ops.biz.ai.client.azure.llm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.qmth.boot.core.ai.model.llm.ChatChoice;
import com.qmth.boot.core.ai.model.llm.ChatResult;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class AzureChatResult {

    private List<ChatChoice> choices;

    private AzureUsage usage;

    private String model;

    public ChatResult buildResult() {
        ChatResult result = new ChatResult();
        result.setChoices(choices);
        return result;
    }

    public List<ChatChoice> getChoices() {
        return choices;
    }

    public void setChoices(List<ChatChoice> choices) {
        this.choices = choices;
    }

    public AzureUsage getUsage() {
        return usage;
    }

    public void setUsage(AzureUsage usage) {
        this.usage = usage;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }
}
