package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.ops.biz.domain.AppDeploy;
import com.qmth.ops.biz.domain.Deploy;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface DeployDao extends BaseMapper<Deploy> {

    @Select("select d.id, d.name, d.mode, a.code appCode, a.name appName "
            + " from deploy d, app a where d.app_id=a.id order by d.app_id, d.id")
    List<AppDeploy> listAppDeploy();
}
