package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.ops.biz.domain.Org;
import com.qmth.ops.biz.query.OrgQuery;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface OrgDao extends BaseMapper<Org> {

    @Update("update org set enable=#{enable} where id=#{id}")
    int toggle(@Param("id") Long id, @Param("enable") boolean enable);

    OrgQuery findByQuery(OrgQuery query);
}
