package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.ops.api.security.Permission;
import com.qmth.ops.biz.domain.UserPermission;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface UserPermissionDao extends BaseMapper<UserPermission> {

    @Update("replace into user_permission (user_id, permission, scope) values (#{userId}, #{permission}, #{scope})")
    void replace(@Param("userId") Long userId, @Param("permission") Permission permission,
            @Param("scope") String scope);
}
