package com.qmth.ops.biz.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.qmth.boot.core.solar.model.AppControl;

import java.io.Serializable;
import java.util.Set;

@TableName(value = "deploy", autoResultMap = true)
public class Deploy implements Serializable {

    private static final long serialVersionUID = -1049563484657628978L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private Long appId;

    private String name;

    private DeployMode mode;

    private String accessKey;

    private String accessSecret;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private AppControl control;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private Set<String> ipAllow;

    private Long createTime;

    private Long updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DeployMode getMode() {
        return mode;
    }

    public void setMode(DeployMode mode) {
        this.mode = mode;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public AppControl getControl() {
        return control;
    }

    public void setControl(AppControl control) {
        this.control = control;
    }

    public Set<String> getIpAllow() {
        return ipAllow;
    }

    public void setIpAllow(Set<String> ipAllow) {
        this.ipAllow = ipAllow;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

}
