package com.qmth.ops.biz.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.boot.core.ai.model.llm.LlmAppType;

import java.io.Serializable;

@TableName(value = "llm_org_config", autoResultMap = true)
public class LlmOrgConfig implements Serializable {

    private static final long serialVersionUID = -593409647805304621L;

    private Long orgId;

    private LlmAppType appType;

    private Long modelId;

    private Long promptId;

    private Integer permitCount;

    private Integer leftCount;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public LlmAppType getAppType() {
        return appType;
    }

    public void setAppType(LlmAppType appType) {
        this.appType = appType;
    }

    public Long getModelId() {
        return modelId;
    }

    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    public Long getPromptId() {
        return promptId;
    }

    public void setPromptId(Long promptId) {
        this.promptId = promptId;
    }

    public Integer getPermitCount() {
        return permitCount;
    }

    public void setPermitCount(Integer permitCount) {
        this.permitCount = permitCount;
    }

    public Integer getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(Integer leftCount) {
        this.leftCount = leftCount;
    }
}
