package com.qmth.ops.biz.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.boot.core.ai.model.llm.LlmAppType;

import java.io.Serializable;

@TableName("llm_prompt_template")
public class LlmPromptTemplate implements Serializable {

    private static final long serialVersionUID = -2886605312034160681L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private Long supplierId;

    private LlmAppType appType;

    private String system;

    private String user;

    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public LlmAppType getAppType() {
        return appType;
    }

    public void setAppType(LlmAppType appType) {
        this.appType = appType;
    }

    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
