package com.qmth.ops.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

@TableName("property_item")
public class PropertyItem implements Serializable {

    private static final long serialVersionUID = 1390416370953446620L;

    private Long versionId;

    private Long moduleId;

    private Long envId;

    @TableField("`key`")
    private String key;

    private String value;

    private String comment;

    private PropertyMode mode;

    private Long createTime;

    private Long updateTime;

    public Long getVersionId() {
        return versionId;
    }

    public void setVersionId(Long versionId) {
        this.versionId = versionId;
    }

    public Long getEnvId() {
        return envId;
    }

    public void setEnvId(Long envId) {
        this.envId = envId;
    }

    public Long getModuleId() {
        return moduleId;
    }

    public void setModuleId(Long moduleId) {
        this.moduleId = moduleId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public PropertyMode getMode() {
        return mode;
    }

    public void setMode(PropertyMode mode) {
        this.mode = mode;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 是否密钥/密码类配置
     *
     * @return
     */
    public boolean containSecret() {
        return key.toLowerCase().contains("secret") || key.toLowerCase().contains("password");
    }
}
