package com.qmth.ops.biz.query;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.App;

public class AppQuery extends BaseQuery<App> {

    private static final long serialVersionUID = -5738758110090463622L;

    private Long id;

    private String code;

    private String nameStartWith;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNameStartWith() {
        return nameStartWith;
    }

    public void setNameStartWith(String nameStartWith) {
        this.nameStartWith = nameStartWith;
    }

    public LambdaQueryWrapper<App> buildQuery() {
        return new LambdaQueryWrapper<App>().eq(id != null, App::getId, id).eq(code != null, App::getCode, code)
                .likeRight(nameStartWith != null, App::getName, nameStartWith);
    }

}
