package com.qmth.ops.biz.query;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.Deploy;
import com.qmth.ops.biz.domain.DeployMode;

public class DeployQuery extends BaseQuery<Deploy> {

    private static final long serialVersionUID = 5282212967865197163L;

    private Long id;

    private Long appId;

    private String nameStartWith;

    private DeployMode mode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getNameStartWith() {
        return nameStartWith;
    }

    public void setNameStartWith(String nameStartWith) {
        this.nameStartWith = nameStartWith;
    }

    public DeployMode getMode() {
        return mode;
    }

    public void setMode(DeployMode mode) {
        this.mode = mode;
    }

    public LambdaQueryWrapper<Deploy> build() {
        return new LambdaQueryWrapper<Deploy>().eq(id != null, Deploy::getId, id)
                .eq(appId != null, Deploy::getAppId, appId).eq(mode != null, Deploy::getMode, mode)
                .likeRight(nameStartWith != null, Deploy::getName, nameStartWith).orderByAsc(Deploy::getId);
    }
}
