package com.qmth.ops.biz.query;

import com.qmth.boot.core.ai.model.llm.LlmAppType;
import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.LlmOrgConfig;

public class LlmOrgConfigQuery extends BaseQuery<LlmOrgConfig> {

    private static final long serialVersionUID = -9177976635952626172L;

    private String orgCode;

    private String orgNameStartWith;

    private LlmAppType appType;

    private Long modelId;

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgNameStartWith() {
        return orgNameStartWith;
    }

    public void setOrgNameStartWith(String orgNameStartWith) {
        this.orgNameStartWith = orgNameStartWith;
    }

    public LlmAppType getAppType() {
        return appType;
    }

    public void setAppType(LlmAppType appType) {
        this.appType = appType;
    }

    public Long getModelId() {
        return modelId;
    }

    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

}
