package com.qmth.ops.biz.query;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.Module;
import com.qmth.ops.biz.domain.ModuleType;

public class ModuleQuery extends BaseQuery<Module> {

    private static final long serialVersionUID = -3730883675324617848L;

    private Long id;

    private Long appId;

    private String code;

    private String name;

    private Boolean enable;

    private ModuleType type;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public ModuleType getType() {
        return type;
    }

    public void setType(ModuleType type) {
        this.type = type;
    }

    public LambdaQueryWrapper<Module> build() {
        return new LambdaQueryWrapper<Module>().eq(id != null, Module::getId, id)
                .eq(appId != null, Module::getAppId, appId).eq(code != null, Module::getCode, code)
                .eq(enable != null, Module::getEnable, enable).eq(name != null, Module::getName, name)
                .eq(type != null, Module::getType, type).orderByAsc(Module::getCode);
    }
}
