package com.qmth.ops.biz.query;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.Version;

public class VersionQuery extends BaseQuery<Version> {

    private static final long serialVersionUID = 3221770734799644830L;

    private Long id;

    private Long appId;

    private Boolean archived;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public Boolean getArchived() {
        return archived;
    }

    public void setArchived(Boolean archived) {
        this.archived = archived;
    }

    public LambdaQueryWrapper<Version> build() {
        return new LambdaQueryWrapper<Version>().eq(id != null, Version::getId, id)
                .eq(appId != null, Version::getAppId, appId).eq(archived != null, Version::getArchived, archived)
                .orderByDesc(Version::getMainNumber).orderByDesc(Version::getMiddleNumber)
                .orderByDesc(Version::getSubNumber);
    }
}
