package com.qmth.ops.biz.query;

import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.Wxapp;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

@Validated
public class WxappQuery extends BaseQuery<Wxapp> {

    private static final long serialVersionUID = 5914856418255713740L;

    private String id;

    private String name;

    private String nameStartWith;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameStartWith() {
        return nameStartWith;
    }

    public void setNameStartWith(String nameStartWith) {
        this.nameStartWith = nameStartWith;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }
}
