package com.qmth.ops.biz.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.ops.biz.dao.ControlParamDao;
import com.qmth.ops.biz.domain.ControlParam;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ControlParamService extends ServiceImpl<ControlParamDao, ControlParam> {

    @Resource
    private ControlParamDao controlParamDao;

    public List<ControlParam> listByAppId(Long appId) {
        return list(new LambdaQueryWrapper<ControlParam>().eq(ControlParam::getAppId, appId)
                .orderByAsc(ControlParam::getKey));
    }

}

