package com.qmth.ops.biz.wxapp.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.qmth.boot.core.solar.model.WxappSession;

public class Code2SessionResult implements BaseResult {

    @JsonProperty("openid")
    private String openId;

    @JsonProperty("session_key")
    private String sessionKey;

    @JsonProperty("unionid")
    private String unionId;

    @JsonProperty("errcode")
    private Long errorCode;

    @JsonProperty("errmsg")
    private String errorMessage;

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getSessionKey() {
        return sessionKey;
    }

    public void setSessionKey(String sessionKey) {
        this.sessionKey = sessionKey;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    @Override
    public Long getErrorCode() {
        return errorCode;
    }

    @Override
    public void setErrorCode(Long errorCode) {
        this.errorCode = errorCode;
    }

    @Override
    public String getErrorMessage() {
        return errorMessage;
    }

    @Override
    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public WxappSession output() {
        WxappSession session = new WxappSession();
        session.setOpenId(openId);
        session.setSessionKey(sessionKey);
        session.setUnionId(unionId);
        return session;
    }

}
