package com.qmth.ops.biz.wxapp.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.qmth.boot.core.solar.model.WxappPhoneNumber;

@JsonIgnoreProperties(ignoreUnknown = true)
public class PhoneNumberInfo {

    @JsonProperty("phoneNumber")
    private String phoneNumber;

    @JsonProperty("purePhoneNumber")
    private String purePhoneNumber;

    @JsonProperty("countryCode")
    private String countryCode;

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPurePhoneNumber() {
        return purePhoneNumber;
    }

    public void setPurePhoneNumber(String purePhoneNumber) {
        this.purePhoneNumber = purePhoneNumber;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public WxappPhoneNumber output() {
        WxappPhoneNumber result = new WxappPhoneNumber();
        result.setPhoneNumber(phoneNumber);
        result.setPurePhoneNumber(purePhoneNumber);
        result.setCountryCode(countryCode);
        return result;
    }
}
