package com.qmth.ops.api.binder;

import com.qmth.ops.biz.utils.VersionNumber;
import org.springframework.format.Formatter;

import java.text.ParseException;
import java.util.Locale;

public class VersionNumberBinder implements Formatter<VersionNumber> {

    @Override
    public VersionNumber parse(String s, Locale locale) throws ParseException {
        return new VersionNumber(s);
    }

    @Override
    public String print(VersionNumber versionNumber, Locale locale) {
        return versionNumber.toString();
    }
}
