package com.qmth.ops.api.security;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.ops.biz.domain.Deploy;

import java.util.Collection;

public class AccessDeploy implements AccessEntity {

    private Deploy deploy;

    public AccessDeploy(Deploy deploy) {
        this.deploy = deploy;
    }

    @Override
    public String getIdentity() {
        return deploy.getAccessKey();
    }

    @Override
    public String getSecret() {
        return deploy.getAccessSecret();
    }

    @Override
    public Collection<String> getAllowIP() {
        return deploy.getIpAllow();
    }

    public Deploy getDeploy() {
        return deploy;
    }

    public void setDeploy(Deploy deploy) {
        this.deploy = deploy;
    }
}
