package com.qmth.ops.api.security;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.ops.biz.domain.Org;

public class AccessOrg implements AccessEntity {

    private Org org;

    public AccessOrg(Org org) {
        this.org = org;
    }

    @Override
    public String getIdentity() {
        return org.getAccessKey();
    }

    @Override
    public String getSecret() {
        return org.getAccessSecret();
    }

    public void setOrg(Org org) {
        this.org = org;
    }

    public Org getOrg() {
        return org;
    }

}
