package com.qmth.ops.biz.ai.client;

import com.qmth.ops.biz.domain.LlmModel;
import com.qmth.ops.biz.domain.LlmSupplier;

public class ChatApiConfig {

    private String supplier;

    private String url;

    private String secret;

    private String model;

    private int qpm;

    private int tpm;

    public ChatApiConfig() {

    }

    public ChatApiConfig(LlmSupplier supplier, LlmModel model) {
        this.supplier = supplier.getName();
        this.url = supplier.getUrl();
        this.secret = supplier.getSecret();
        this.model = model.getName();
        this.qpm = model.getQpm();
        this.tpm = model.getTpm();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public int getQpm() {
        return qpm;
    }

    public void setQpm(int qpm) {
        this.qpm = qpm;
    }

    public int getTpm() {
        return tpm;
    }

    public void setTpm(int tpm) {
        this.tpm = tpm;
    }
}
