package com.qmth.ops.biz.ai.client.aliyun.ocr;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.ObjectMapper;

@JsonIgnoreProperties(ignoreUnknown = true)
public class AliyunOcrResult {

    @JsonProperty("RequestId")
    private String requestId;

    @JsonProperty("Data")
    private String data;

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getDataContent(ObjectMapper mapper) {
        try {
            return mapper.readValue(data, AliyunOcrData.class).getContent();
        } catch (Exception e) {
            return null;
        }
    }
}
