package com.qmth.ops.biz.ai.client.baidu.doc;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class BaiduParseDocTaskQueryResult {

    /**
     * 任务状态：
     * pending：排队中；
     * processing：运行中；
     * success：成功；
     * failed：失败
     */
    @JsonProperty("status")
    private String status;

    @JsonProperty("task_id")
    private String taskId;

    @JsonProperty("task_error")
    private String taskError;

    @JsonProperty("markdown_url")
    private String markdownUrl;

    @JsonProperty("parse_result_url")
    private String parseResultUrl;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTaskError() {
        return taskError;
    }

    public void setTaskError(String taskError) {
        this.taskError = taskError;
    }

    public String getMarkdownUrl() {
        return markdownUrl;
    }

    public void setMarkdownUrl(String markdownUrl) {
        this.markdownUrl = markdownUrl;
    }

    public String getParseResultUrl() {
        return parseResultUrl;
    }

    public void setParseResultUrl(String parseResultUrl) {
        this.parseResultUrl = parseResultUrl;
    }

}
