package com.qmth.ops.biz.ai.client.baidu.ocr;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class BaiduOcrResult {

    @JsonProperty("log_id")
    private String logId;

    @JsonProperty("words_result_num")
    private Integer wordsResultNumber;

    @JsonProperty("words_result")
    private List<BaiduOcrWords> wordsList;

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Integer getWordsResultNumber() {
        return wordsResultNumber;
    }

    public void setWordsResultNumber(Integer wordsResultNumber) {
        this.wordsResultNumber = wordsResultNumber;
    }

    public List<BaiduOcrWords> getWordsList() {
        return wordsList;
    }

    public void setWordsList(List<BaiduOcrWords> wordsList) {
        this.wordsList = wordsList;
    }
}
