package com.qmth.ops.biz.ai.exception;

import com.qmth.boot.core.exception.ReentrantException;

public class ChatRateLimitExceeded extends ReentrantException {

    private static final long serialVersionUID = -7994883363248623740L;

    public ChatRateLimitExceeded(String supplier, String model, int qpm) {
        super("Chat api rate limit exceeded, supplier=" + supplier + ", model=" + model + ", qpm=" + qpm);
    }
}
