package com.qmth.ops.biz.ai.exception;

import com.qmth.boot.core.exception.NotFoundException;

public class OcrClientNotFound extends NotFoundException {

    private static final long serialVersionUID = 6299687661502614806L;

    public OcrClientNotFound() {
        super("OCR api client not found");
    }

    public OcrClientNotFound(Long id) {
        super("OCR api client not found for supplierId=" + id);
    }
}
