package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.ops.biz.domain.DeployDevice;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface DeployDeviceDao extends BaseMapper<DeployDevice> {

    @Update("replace into deploy_device (deploy_id, device_id, remark, create_time) "
            + "values (#{deployId}, #{deviceId}, #{remark}, #{time})")
    void save(@Param("deployId") Long deployId, @Param("deviceId") String deviceId, @Param("remark") String remark,
            @Param("time") long time);
}
