package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.ops.biz.domain.AppEnv;
import com.qmth.ops.biz.domain.Env;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface EnvDao extends BaseMapper<Env> {

    @Select("select e.id, e.code, e.name, e.type, a.code appCode, a.name appName "
            + " from env e, app a where e.app_id=a.id order by e.app_id, e.id")
    List<AppEnv> listAppEnv();
}
