package com.qmth.ops.biz.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.ops.api.security.Permission;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

@TableName(value = "user_permission", autoResultMap = true)
public class UserPermission implements Serializable {

    private static final long serialVersionUID = 1052334090653353488L;

    public static final String UNLIMIT_SCOPE = "*";

    public static final String SCOPE_SPLIT = ",";

    private Long userId;

    private Permission permission;

    private String scope;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Permission getPermission() {
        return permission;
    }

    public void setPermission(Permission permission) {
        this.permission = permission;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public Set<Long> getDataSet() {
        Set<Long> set = new HashSet<>();
        String[] datas = scope.split(SCOPE_SPLIT);
        for (String item : datas) {
            set.add(Long.parseLong(item));
        }
        return set;
    }
}
