package com.qmth.ops.biz.query;

import com.qmth.boot.core.solar.enums.OrgSubType;
import com.qmth.boot.core.solar.enums.OrgType;
import com.qmth.boot.mybatis.query.BaseQuery;
import com.qmth.ops.biz.domain.Org;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

public class OrgQuery extends BaseQuery<Org> {

    private static final long serialVersionUID = 1865451038975724572L;

    private Long id;

    private String code;

    private String name;

    private String nameStartWith;

    private OrgType type;

    private OrgSubType subType;

    private Boolean enable;

    private Long deployId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameStartWith() {
        return nameStartWith;
    }

    public void setNameStartWith(String nameStartWith) {
        this.nameStartWith = nameStartWith;
    }

    public OrgType getType() {
        return type;
    }

    public void setType(OrgType type) {
        this.type = type;
    }

    public OrgSubType getSubType() {
        return subType;
    }

    public void setSubType(OrgSubType subType) {
        this.subType = subType;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Long getDeployId() {
        return deployId;
    }

    public void setDeployId(Long deployId) {
        this.deployId = deployId;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }
}
